var i = Object.defineProperty;
var o = (a, t, e) => t in a ? i(a, t, { enumerable: !0, configurable: !0, writable: !0, value: e }) : a[t] = e;
var s = (a, t, e) => (o(a, typeof t != "symbol" ? t + "" : t, e), e);
import r from "../blots/block.mjs";
class m extends r {
  static formats(t) {
    return this.tagName.indexOf(t.tagName) + 1;
  }
}
s(m, "blotName", "header"), s(m, "tagName", ["H1", "H2", "H3", "H4", "H5", "H6"]);
export {
  m as default
};
